<template>
	<view class="main">
		<view class="form">
			<view class="form_group">
				<view class="lable re">姓名</view>
				<input type="text" placeholder="请输入姓名" v-model="item.name" />
			</view>
			<view class="form_group">
				<view class="lable re">身份证</view>
				<input type="text" placeholder="请输入姓名" v-model="item.idCard" />
			</view>
		</view>
		<card v-model="item.p1"></card>
		<card v-model="item.p2"></card>
		<button class="btn" @click="save()">确定</button>
	</view>
</template>

<script>
export default {
	data() {
		return {
			item: {}
		};
	},
	methods: {
		save() {
			let rule = [
				{ name: 'name', checkType: 'notnull', errorMsg: '请输入姓名' },
				{ name: 'idCard', checkType: 'notnull', errorMsg: '请输入身份证' },
				{ name: 'p1', checkType: 'notnull', errorMsg: '请上传身份证人面像' },
				{ name: 'p2', checkType: 'notnull', errorMsg: '请上传身份证人徽面' }
			];
			if (!this.verify.check(this.item, rule)) {
				uni.showModal({ content: this.verify.error, showCancel: false });
				return false;
			}
			this.http.request({
				url: '/app/user/authentication',
				data: this.item,
				method: 'POST',
				success: (res) => {
					uni.showModal({
						title: '提示',
						content: '提交成功，等待后台审核。',
						showCancel: false,
						success: (res) => {
							uni.navigateBack();
						}
					});
				}
			});
		}
	}
};
</script>

<style lang="scss"></style>
